;The G.E.C.K. PowerUp for New Vegas - Part of the library
;Macro which calls GECK's procedure that displays warnings
;File version 0.2.2
;Written by Fedor Uvarov, 2010
;Patched to support G.E.C.K 1.4 by H. LE PORS ( 7 July 2011)

WARNINGS_MBPROC_OFFSET = 0043DD60h	;       0043E3D0h      ;       0043DE50h      ;It is the procedure that shows messages
WARNING_ABORTEXITCODE = 0

macro WARNINGS_DATA {
ConfirmExit db "Confirm exit - PowerUp", 0
NoToWarning db 'You answered "No" to a warning. Do you want to quit the GECK immediately?', 0
}

macro ShowWarning Caption, Text, MBType {
	push DWORD MBType
	push DWORD Caption	;Pointer to caption
	push Text	;Pointer to text
	mov eax, WARNINGS_MBPROC_OFFSET
	call eax
	;It doesn't clean the stack
	
	;If the user says "No" to a warning we're supposed to quit the program
	.if eax = IDNO
		;If the user said "No" to a warning we are supposed to prompt for aborting
		invoke MessageBoxEx, 0, NoToWarning, ConfirmExit, MB_YESNO + MB_ICONWARNING + MB_TASKMODAL, LANG
		.if eax = IDYES
			invoke ExitProcess, WARNING_ABORTEXITCODE
		.else
			mov eax, IDYES
		.endif
	.endif
	
	add esp, 12
}